petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexDistributeOwnership

Compute owner information for shared points. This basically gets two-sided for an SF.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexDistributeOwnership(DM dm, PetscSection rootSection, IS *rootrank, PetscSection leafSection, IS *leafrank)

Collective on DM Many br

### Input Parameter

dm -The DM Many br

### Output Parameters

| rootSection | - The number of leaves for a given root point Many br
| rootrank | - The rank of each edge into the root point Many br
| leafSection | - The number of processes sharing a given leaf point Many br
| leafrank | - The rank of each process sharing a leaf point Many br

Many br

### See Also

DMPlexCreateOverlap()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages